# TODO
# - fix bashism in configure.ac, and add --disable-static option
Summary:	Passive TCP response time analysis tool — Read more
Name:		tcprstat
Version:	0.3.1
Release:	1
License:	GPL v2 or v3
Group:		Applications/Networking
Source0:	https://github.com/downloads/Lowercases/tcprstat/%{name}-%{version}.tar.gz
# Source0-md5:	392ffc7a4bd676567728aee0b479c552
Patch0:		https://github.com/Lowercases/tcprstat/commit/48e3b7923ffec28e584c0220c4e5bfa4be7fca79.patch
# Patch0-md5:	02f14c2c919c5e0b7681194ad815fc30
URL:		http://www.percona.com/docs/wiki/tcprstat:start
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tcprtime is a protocol-agnostic libpcap-based tool for measuring TCP
requests' response time in a server

%prep
%setup -q
%patch0 -p1

# the libpcap detect is broken (wants static pcap)
%{__sed} -i -e 's/buildpcap == xyes/buildpcap = xno/' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--bindir=%{_sbindir}
%{__make} -C src \
	bin_PROGRAMS=tcprstat

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	bin_PROGRAMS=tcprstat \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_sbindir}/tcprstat
%changelog
* Sun Oct 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcprstat.git;a=log;h=master

* Sun Oct 28 2012 Elan Ruusamäe <glen@delfi.ee> ca41565
- fix build on 32bit arch

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 3a159a8
- BR: autoconf, automake, libtool

* Wed Dec 15 2010 Elan Ruusamäe <glen@pld-linux.org> 578b523
- i486/i686 build broken

* Wed Dec 15 2010 Elan Ruusamäe <glen@pld-linux.org> 0099a20
- new

